<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* report-schedule-page.twig */
class __TwigTemplate_db8be6403f1396d51354c49d86072793819ca830d4149c56627390fe779f8ccd extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["inline"] = $this->loadTemplate("inline.twig", "report-schedule-page.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("authed.twig", "report-schedule-page.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_actionMenu($context, array $blocks = [])
    {
        // line 28
        echo "    <ul class=\"nav nav-pills pull-right\">
        <li class=\"btn btn-success btn-xs\"><a class=\"btns\" href=\"";
        // line 29
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("stats.proofofplay.view"), "html", null, true);
        echo "\"><i class=\"fa fa-th-list\" aria-hidden=\"true\"></i> ";
        echo __("Back to dashboard");
        echo "</a></li>
        <li class=\"btn btn-info btn-xs\"><a class=\"btns\" href=\"";
        // line 30
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("savedreport.view"), "html", null, true);
        echo "\"><i class=\"fa fa-eye\" aria-hidden=\"true\"></i> ";
        echo __("Saved Reports");
        echo "</a></li>
    </ul>
";
    }

    // line 34
    public function block_pageContent($context, array $blocks = [])
    {
        // line 35
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 36
        echo __("Report Schedule");
        // line 37
        echo "            <span class=\"fa fa-info-circle\" data-toggle=\"popover\" data-trigger=\"hover\" data-placement=\"bottom\" data-content=\"";
        echo __("The report will be available 6AM every day.");
        echo "\"></span>
        </div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 40
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"reportscheduleView\">
                <div class=\"XiboFilter well\">
                    <div class=\"FilterDiv\" id=\"Filter\">
                        <form class=\"form-inline\">
                            ";
        // line 44
        ob_start(function () { return ''; });
        echo __("ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                            ";
        echo $context["inline"]->getnumber("reportScheduleId", ($context["title"] ?? null));
        echo "

                            <div class=\"form-group \">
                                <label class=\"control-label\" title=\"\" for=\"name\" accesskey=\"\">";
        // line 48
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"name\" type=\"text\" id=\"name\" value=\"\">

                                        <span class=\"input-group-addon\">
                                            <input title=\"";
        // line 54
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                        </span>
                                    </div>
                                </div>
                            </div>

                            ";
        // line 60
        ob_start(function () { return ''; });
        echo __("Owner");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items owned by the selected User.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                            ";
        $context["users"] = twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null));
        // line 63
        echo "                            ";
        echo $context["inline"]->getdropdown("userId", "single", ($context["title"] ?? null), null, ($context["users"] ?? null), "userId", "userName", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null));
        echo "

                            ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items belong to a report.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                            ";
        $context["reports"] = twig_array_merge([0 => ["name" => null, "description" => ""]], ($context["availableReports"] ?? null));
        // line 68
        echo "                            ";
        echo $context["inline"]->getdropdown("reportName", "single", ($context["title"] ?? null), null, ($context["reports"] ?? null), "name", "description", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null));
        echo "

                            ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Only my schedules?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                            ";
        echo $context["inline"]->getcheckbox("onlyMySchedules", ($context["title"] ?? null), 1);
        echo "
                        </form>
                    </div>
                </div>
                <div class=\"XiboData\">
                    <table id=\"reportschedules\" class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 79
        echo __("Name");
        echo "</th>
                            <th>";
        // line 80
        echo __("Report Name");
        echo "</th>
                            <th>";
        // line 81
        echo __("Schedule");
        echo "</th>
                            <th>";
        // line 82
        echo __("Owner");
        echo "</th>
                            <th>";
        // line 83
        echo __("Last Run");
        echo "</th>
                            <th>";
        // line 84
        echo __("Next Run");
        echo "</th>
                            <th>";
        // line 85
        echo __("Previous Run");
        echo "</th>
                            <th>";
        // line 86
        echo __("Active");
        echo "</th>
                            <th>";
        // line 87
        echo __("Failed Message");
        echo "</th>
                            <th>";
        // line 88
        echo __("Created");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 102
    public function block_javaScript($context, array $blocks = [])
    {
        // line 103
        echo "    <script type=\"text/javascript\">

        \$(function () {
            \$('[data-toggle=\"popover\"]').popover();
        });

        var table;
        \$(document).ready(function() {

            let url_string = window.location.href;
            let url = new URL(url_string);
            let reportScheduleId = url.searchParams.get(\"reportScheduleId\");
            let reportName = url.searchParams.get(\"reportName\");

            if (reportScheduleId !== undefined && reportScheduleId != null) {
                \$('#reportScheduleId').val(reportScheduleId);
            }

            if (reportName !== undefined && reportName != null) {
                // Grid will be reloaded again
                \$('#reportName').val(reportName).trigger('change');
            }

            table = \$(\"#reportschedules\").DataTable({ \"language\": dataTablesLanguage,
                serverSide: true, stateSave: true, stateDuration: 0,
                stateLoadCallback: function (settings, callback) {
                    var data = {};
                    \$.ajax({
                        type: \"GET\",
                        async: false,
                        url: \"";
        // line 133
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "?preference=reportscheduleGrid\",
                        dataType: 'json',
                        success: function (json) {
                            try {
                                if (json.success) {
                                    data = JSON.parse(json.data.value);
                                }
                            } catch (e) {
                                // Do nothing
                            }
                        }
                    });
                    return data;
                },
                stateSaveCallback: function (settings, data) {
                    \$.ajax({
                        type: \"POST\",
                        url: \"";
        // line 150
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "\",
                        data: {
                            preference: [{
                                option: \"reportscheduleGrid\",
                                value: JSON.stringify(data)
                            }]
                        }
                    });
                },
                filter: false,
                searchDelay: 3000,
                \"order\": [[ 1, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 163
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("reportschedule.search"), "html", null, true);
        echo "\",
                    \"data\": function(d) {
                        \$.extend(d, \$(\"#reportschedules\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    { \"data\": \"name\"},
                    { \"data\": \"reportName\"},
                    { \"data\": \"schedule\"},
                    { \"data\": \"owner\"},
                    {
                        \"data\": \"lastRunDt\",
                        \"render\": dataTableDateFromUnix
                    },
                    {
                        \"orderable\": false,
                        \"data\": \"nextRunDt\",
                        \"render\": dataTableDateFromUnix
                    },
                    {
                        \"data\": \"previousRunDt\",
                        \"render\": dataTableDateFromUnix,
                        \"visible\": false
                    },
                    {
                        \"data\": \"isActive\",
                        \"render\": function (data, type, row) {
                            if (type !== \"display\")
                                return data;

                            var icon = \"\";
                            if (data == 1)
                                icon = \"fa-check\";
                            else
                                icon = \"fa-times\";

                            return \"<span class='fa \" + icon + \"' title='\" + (row.isActiveDescription) + \"'></span>\";
                        },
                        \"visible\": false
                    },
                    {
                        \"data\": \"message\",
                        \"render\": function (data, type, row) {
                            if (type !== \"display\")
                                return data;

                            var icon = \"\";
                            if (data !== null)
                                icon = \"fa-exclamation-triangle\";
                            else
                                icon = \"\";

                            return \"<span class='fa \" + icon + \"' title='\" + (row.message) + \"'></span>\";
                        },
                        \"visible\": false
                    },
                    {
                        \"data\": \"createdDt\",
                        \"render\": dataTableDateFromUnix
                    },
                    {
                        \"orderable\": false,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#reportschedules_wrapper').find('.col-sm-6').eq(1));
        })

    </script>
";
    }

    public function getTemplateName()
    {
        return "report-schedule-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  292 => 163,  276 => 150,  256 => 133,  224 => 103,  221 => 102,  204 => 88,  200 => 87,  196 => 86,  192 => 85,  188 => 84,  184 => 83,  180 => 82,  176 => 81,  172 => 80,  168 => 79,  156 => 71,  152 => 70,  146 => 68,  143 => 67,  138 => 66,  134 => 65,  128 => 63,  125 => 62,  120 => 61,  116 => 60,  107 => 54,  98 => 48,  91 => 45,  87 => 44,  80 => 40,  73 => 37,  71 => 36,  68 => 35,  65 => 34,  56 => 30,  50 => 29,  47 => 28,  44 => 27,  39 => 24,  37 => 25,  31 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "report-schedule-page.twig", "/home/mgatv524/public_html/edurocha/views/report-schedule-page.twig");
    }
}
