<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* usergroup-form-acl.twig */
class __TwigTemplate_70ad8c31b64173605db0ccb3ae083cd0a76e25ccddf5bae6ad50e2b1aeb362fd extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "usergroup-form-acl.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "usergroup-form-acl.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "
";
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 19
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 20
        echo __("Save");
        echo ", \$(\"#AclForm\").submit()
";
    }

    // line 23
    public function block_formHtml($context, array $blocks = [])
    {
        // line 24
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"AclForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 26
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("group.acl", ["id" => ($context["groupId"] ?? null)]), "html", null, true);
        echo "\">
                ";
        // line 27
        ob_start(function () { return ''; });
        echo __("Check or un-check the options against each item to control whether access is allowed or not.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 28
        echo "                ";
        echo $context["forms"]->getmessage(($context["helpText"] ?? null));
        echo "
                <table class=\"table table-bordered\">
                    <tr>
                        <th>";
        // line 31
        echo twig_escape_filter($this->env, ($context["entity"] ?? null), "html", null, true);
        echo "</th>
                        <th>";
        // line 32
        echo __("View");
        echo "</th>
                    </tr>
                    ";
        // line 34
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["permissions"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 35
            echo "                        <tr>
                            <td>";
            // line 36
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "name", []), "html", null, true);
            echo "</td>
                            <td><input type=\"checkbox\" name=\"objectId[]\" value=\"";
            // line 37
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "value_view", []), "html", null, true);
            echo "\" ";
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "value_view_checked", []), "html", null, true);
            echo "></td>
                        </tr>
                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 40
        echo "                </table>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "usergroup-form-acl.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  127 => 40,  116 => 37,  112 => 36,  109 => 35,  105 => 34,  100 => 32,  96 => 31,  89 => 28,  85 => 27,  81 => 26,  77 => 24,  74 => 23,  68 => 20,  64 => 19,  57 => 18,  54 => 17,  47 => 14,  44 => 13,  39 => 10,  37 => 11,  31 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "usergroup-form-acl.twig", "/home/mgatv524/public_html/edurocha/views/usergroup-form-acl.twig");
    }
}
